summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeff King <peff@peff.net>2016-06-24 15:45:12 -0400
committerJunio C Hamano <gitster@pobox.com>2016-07-06 07:44:25 -0700
commit03c39b34589897824385c884cd9c5707ba93a238 (patch)
treef035170cd3bc7cffa1afa58f7864b19e5abc00d9
parent2472448c88ad72bd7d02d473590d2c17c2cd7424 (diff)
downloadgit-jk/test-match-signal.tar.gz
t/lib-git-daemon: use test_match_signaljk/test-match-signal
When git-daemon exits, we expect it to be with the SIGTERM we just sent it. If we see anything else, we'll complain. But our check against exit code "143" is not portable. For example: $ ksh93 t5570-git-daemon.sh [...] error: git daemon exited with status: 271 We can fix this by using test_match_signal. Signed-off-by: Jeff King <peff@peff.net> Signed-off-by: Junio C Hamano <gitster@pobox.com>
-rw-r--r--t/lib-git-daemon.sh3
1 files changed, 1 insertions, 2 deletions
diff --git a/t/lib-git-daemon.sh b/t/lib-git-daemon.sh
index 340534c064..f9cbd47931 100644
--- a/t/lib-git-daemon.sh
+++ b/t/lib-git-daemon.sh
@@ -82,8 +82,7 @@ stop_git_daemon() {
kill "$GIT_DAEMON_PID"
wait "$GIT_DAEMON_PID" >&3 2>&4
ret=$?
- # expect exit with status 143 = 128+15 for signal TERM=15
- if test $ret -ne 143
+ if test_match_signal 15 $?
then
error "git daemon exited with status: $ret"
fi